QGIS Application - Bug report #18462
Need to close the layer properties dialog before a newly created field appears in Attribute form
2018-03-16 02:57 PM - Harrissou Santanna

Status: Open

Priority: Normal

Assignee:

Category: Forms

Affected QGIS version:3.1(master) Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 26350
Description

Create a temporary layer and add a new integer field

Apply

Check the joins tab, the new field is available (even if you did not apply)

Check the Attribute Forms tab: it's missing.

The new field will appear in the Attribute form tab only if you close the layer properties dialog in the meantime.

Related issues:
Related to QGIS Application - Bug report # 20749: Attribute form is out of sy... Closed 2018-12-07

History

#1 - 2018-12-07 12:53 PM - Harrissou Santanna
- Related to Bug report #20749: Attribute form is out of sync with Source fields added

#2 - 2018-12-07 12:55 PM - Harrissou Santanna

- Subject changed from Need to close the layer properties dialog before the a newly created field appears in Attribute form to Need to close the layer
properties dialog before a newly created field appears in Attribute form

2024-03-20 1/1




